Skip to main content
GET
/
api
/
fdx
/
5
/
accounts
Get Accounts
curl --request GET \
  --url https://ob.flinksapp.com/api/fdx/5/accounts \
  --header 'Authorization: Bearer <token>'
{
  "page": {
    "nextOffset": "string",
    "totalElements": 10
  },
  "links": {
    "next": {
      "href": "string",
      "action": "string",
      "description": "string"
    }
  },
  "accounts": [
    {
      "depositAccount": {
        "accountId": "string",
        "accountCategory": "DEPOSIT_ACCOUNT",
        "accountType": "CHECKING",
        "accountNumber": "string",
        "accountNumberDisplay": "string",
        "productName": "string",
        "nickname": "string",
        "status": "OPEN",
        "description": "string",
        "currency": {
          "currencyRate": 1.0,
          "currencyCode": "USD",
          "originalCurrencyCode": "USD"
        },
        "routingTransitNumber": "string",
        "balanceType": "ASSET",
        "interestRate": 1.5,
        "interestRateType": "FIXED",
        "transferIn": true,
        "transferOut": true,
        "lastActivityDate": "2024-01-15",
        "transactionsIncluded": true,
        "balanceAsOf": "2024-01-15T10:30:00Z",
        "currentBalance": 5000.5,
        "availableBalance": 4500.0,
        "annualPercentageYield": 1.25,
        "interestYtd": 25.0,
        "transactions": [
          {
            "accountId": "string",
            "transactionId": "string",
            "postedTimestamp": "2024-01-14T09:00:00Z",
            "transactionTimestamp": "2024-01-14T09:00:00Z",
            "description": "Direct Deposit",
            "debitCreditMemo": "CREDIT",
            "amount": 1500.0,
            "status": "POSTED",
            "transactionType": "DEPOSIT",
            "payee": "Employer Inc."
          }
        ]
      }
    }
  ]
}
Use the /api/fdx/v1/accounts endpoint to get a list of customer accounts in FDX format. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using:
  • grant_type: authorization_code or refresh_token
  • client_id: {recipient client_id}
  • client_secret: {recipient client_secret}
  • redirect_uri: {recipient redirect_uri}
  • code: {with grant type authorization_code}
  • refresh_token: {with grant type refresh_token}

How to handle an error response

If you receive an error response, refer to the List of Data Access Errors for more information about the error and how to resolve it.

Response is different for each Data Provider

This endpoint returns different fields for each Data Provider. For more information about the fields that each Data Provider supports, review the Data Provider’s details.
{
  "page": {
    "nextOffset": "string",
    "totalElements": 10
  },
  "links": {
    "next": {
      "href": "string",
      "action": "string",
      "description": "string"
    }
  },
  "accounts": [
    {
      "depositAccount": {
        "accountId": "string",
        "accountCategory": "DEPOSIT_ACCOUNT",
        "accountType": "CHECKING",
        "accountNumber": "string",
        "accountNumberDisplay": "string",
        "productName": "string",
        "nickname": "string",
        "status": "OPEN",
        "description": "string",
        "currency": {
          "currencyRate": 1.0,
          "currencyCode": "USD",
          "originalCurrencyCode": "USD"
        },
        "routingTransitNumber": "string",
        "balanceType": "ASSET",
        "interestRate": 1.5,
        "interestRateType": "FIXED",
        "transferIn": true,
        "transferOut": true,
        "lastActivityDate": "2024-01-15",
        "transactionsIncluded": true,
        "balanceAsOf": "2024-01-15T10:30:00Z",
        "currentBalance": 5000.5,
        "availableBalance": 4500.0,
        "annualPercentageYield": 1.25,
        "interestYtd": 25.0,
        "transactions": [
          {
            "accountId": "string",
            "transactionId": "string",
            "postedTimestamp": "2024-01-14T09:00:00Z",
            "transactionTimestamp": "2024-01-14T09:00:00Z",
            "description": "Direct Deposit",
            "debitCreditMemo": "CREDIT",
            "amount": 1500.0,
            "status": "POSTED",
            "transactionType": "DEPOSIT",
            "payee": "Employer Inc."
          }
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Query Parameters

accountIds
string

The ID of the customer account that you want to retrieve. If you are requesting more than one account, separate each accountId with a comma.

resultType
string

Specify the type of results you want to see. Possible values include the following: - lightweight = Return the metadata fields only - details = Return a full list of details The default value of this parameter is lightweight.

offset
string

An opaque cursor returned by the provider and used to retrieve the next page of results. Clients should pass this value unchanged to continue fetching data. The format of the string is internal and should not be interpreted or modified.

limit
string

The maximum number of accounts that you want to return with this request. Use this field to set a limit on the amount of data you receive.

Response

Returned when the accounts are successfully retrieved.

page
object

Pagination information for the response.

Links for pagination.

accounts
object[]

List of customer accounts.